com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedTableListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<TableListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedTableListener

All Implemented Interfaces:
  ClickHandler, EventHandler

Enclosing class:
  ListenerWrapper<T>

    static class ListenerWrapper.WrappedTableListener
    extends ListenerWrapper<TableListener>
    implements ClickHandler

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static void` `add(HasClickHandlers source, TableListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`void` `onClick(ClickEvent event)` Called when a native click event is fired.
`static void` `remove(Widget eventSource, TableListener listener)`

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    @Deprecated
    public static void add(HasClickHandlers source,
                                       TableListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes

#### remove

    public static void remove(Widget eventSource,
                              TableListener listener)

#### onClick

    public void onClick(ClickEvent event)

Description copied from interface: `ClickHandler`
Called when a native click event is fired.

Specified by:
  `onClick` in interface `ClickHandler`
Parameters:
  `event` - the `ClickEvent` that was fired